TagLibArtefactHandler (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class TagLibArtefactHandler

    java.lang.Object
      org.codehaus.groovy.grails.commons.ArtefactHandlerAdapter
          org.codehaus.groovy.grails.commons.TagLibArtefactHandler

    public class TagLibArtefactHandler
    extends ArtefactHandlerAdapter

Configures tag libraries within namespaces in Grails.

Authors:
  Marc Palmer (marc@anyware.co.uk)
  Graeme Rocher
  a.shneyderman

Since:
  0.5

Field Summary
`static java.lang.String` | `PLUGIN_NAME`
`static java.lang.String` | `TYPE`

Fields inherited from class ArtefactHandlerAdapter
log

Constructor Summary
`TagLibArtefactHandler()`

Method Summary
`GrailsClass` | `getArtefactForFeature(java.lang.Object feature)` Looks up a tag library by using either a full qualified tag name such as g:link or via namespace such as "g".
`java.lang.String` | `getPluginName()`
`void` | `initialize(ArtefactInfo artefacts)` Creates a map of tags (keyed on "${namespace}:${tagName}") to tag libraries.

Methods inherited from class ArtefactHandlerAdapter
getArtefactForFeature, getPluginName, getType, initialize, isArtefact, isArtefactClass, isArtefactGrailsClass, newArtefactClass

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### PLUGIN_NAME

    public static final java.lang.String PLUGIN_NAME

### TYPE

    public static final java.lang.String TYPE

Constructor Detail

### TagLibArtefactHandler

    public TagLibArtefactHandler()

Method Detail

### getArtefactForFeature

    @java.lang.Override
    public GrailsClass getArtefactForFeature(java.lang.Object feature)

  Looks up a tag library by using either a full qualified tag name such as g:link or via namespace such as "g".
  Parameters:
    `feature` - The tag name or namespace
  Returns:
    A GrailsClass instance representing the tag library

### getPluginName

    @java.lang.Override
    public java.lang.String getPluginName()

### initialize

    @java.lang.Override
    public void initialize(ArtefactInfo artefacts)

  Creates a map of tags (keyed on "${namespace}:${tagName}") to tag libraries.

Groovy Documentation